List files a chat saved in its workspace
curl --request GET \
--url https://api.itoflow.ai/chat-runtime/chats/{chatId}/workspace \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/chat-runtime/chats/{chatId}/workspace"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/chat-runtime/chats/{chatId}/workspace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"entries": [
{
"kind": "directory",
"modifiedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"path": "<string>",
"sizeBytes": 1
}
],
"nextCursor": "<string>",
"path": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Chat
List files a chat saved in its workspace
Lists the files and folders a chat saved in its workspace, such as reports, charts and data files. Pass path to list a folder below the workspace root. List your chats to find an earlier chat, then download a file from it.
Operation ID: listChatWorkspaceDirectory.
GET
https://api.itoflow.ai
/
chat-runtime
/
chats
/
{chatId}
/
workspace
List files a chat saved in its workspace
curl --request GET \
--url https://api.itoflow.ai/chat-runtime/chats/{chatId}/workspace \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/chat-runtime/chats/{chatId}/workspace"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/chat-runtime/chats/{chatId}/workspace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"entries": [
{
"kind": "directory",
"modifiedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"path": "<string>",
"sizeBytes": 1
}
],
"nextCursor": "<string>",
"path": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}